Package twisted :: Package python :: Module context

[show private | hide private]
[frames | no frames]

## Module twisted.python.context

Classes
`ContextTracker` |
`ThreadedContextTracker` |

Function Summary
| `initThreads()`
| `installContextTracker(ctr)`

Variable Summary
`instance method` | `callWithContext`
`dict` | `defaultContextDict`
`instance method` | `getContext`
`method-wrapper` | `setDefault`
`ThreadedContextTracker` | `theContextTracker`

Variable Details

### callWithContext

`callWithContext` = `twisted.python.context.ThreadedContextTracker.callWithContext`

### defaultContextDict

  Type:
    `dict`
  Value:

        {<class twisted.python.log.ILogContext at 0x824b4dc>: {'isError': 0,
                                                               'system': '-'}}

### getContext

`getContext` = `twisted.python.context.ThreadedContextTracker.getContext`

### setDefault

  Type:
    `method-wrapper`
  Value:

        <method-wrapper object at 0x8167324>

### theContextTracker

  Type:
    `ThreadedContextTracker`
  Value:

        <twisted.python.context.ThreadedContextTracker instance at 0x812a2bc>

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net